/**
 *  GraphTFT plugin for the Video Disk Recorder 
 * 
 *  osd.h - A plugin for the Video Disk Recorder
 *
 *  (c) 2004 Lars Tegeler, Sascha Volkenandt  
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: osd.h,v 1.3 2004/05/16 14:46:31 lordjaxom Exp $
 *
 **/

#ifndef __GTFT_OSD_H
#define __GTFT_OSD_H

#include "display.h"
#include <vdr/plugin.h>

class cGraphTFTOsdObject : public cOsdObject
{
	cGraphTFTDisplay *_display;
#if VDRVERSNUM >= 10307
	cOsd *osd;
#else
	cOsdBase *osd;
#endif

public:
	cGraphTFTOsdObject(cGraphTFTDisplay *_display);
	virtual ~cGraphTFTOsdObject();
	virtual void Show(void);
	virtual eOSState ProcessKey(eKeys Key);
};

#endif // __GTFT_OSD_H
